Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.io
Class OldIVectorIO

    java.lang.Object
      infomat.io.OldIVectorIO

    public class OldIVectorIO

extends java.lang.Object

For loading and saving a IVector. Only loads those IObjects that are in the IObjectGroup provided!

Nested Class Summary
`private class` | `OldIVectorIO.IVectorOfIObjectsHandler`

Constructor Summary
`OldIVectorIO()`

Method Summary
`private IVector<IObject>` | `load(org.xml.sax.InputSource source, IObjectGroup group)`
`IVector<IObject>` | `load(IObjectGroup group, java.io.File file)`
`IVector<IObject>` | `loadCompressed(IObjectGroup group, java.io.File file)`
`void` | `printDTD(java.io.PrintWriter out)`
`void` | `printPartDTD(java.io.PrintWriter out)`
`void` | `save(IVector<IObject> vec, java.io.File file)`
`void` | `save(java.io.PrintWriter out, IVector<IObject> vec)`
`void` | `saveCompressed(IVector<IObject> vec, java.lang.String fileName)`
`void` | `savePart(java.io.PrintWriter out, IVector<IObject> vec)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OldIVectorIO

    public OldIVectorIO()

Method Detail

### load

    public IVector<IObject> load(IObjectGroup group,
                                 java.io.File file)

### loadCompressed

    public IVector<IObject> loadCompressed(IObjectGroup group,
                                           java.io.File file)

### load

    private IVector<IObject> load(org.xml.sax.InputSource source,
                                  IObjectGroup group)

### save

    public void save(IVector<IObject> vec,
                     java.io.File file)

### saveCompressed

    public void saveCompressed(IVector<IObject> vec,
                               java.lang.String fileName)

### printDTD

    public void printDTD(java.io.PrintWriter out)

### printPartDTD

    public void printPartDTD(java.io.PrintWriter out)

### save

    public void save(java.io.PrintWriter out,
                     IVector<IObject> vec)

### savePart

    public void savePart(java.io.PrintWriter out,
                         IVector<IObject> vec)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD